Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003309Doomseeker[All Projects] Bugpublic2017-10-22 22:092017-11-01 12:44
ReporterWubTheCaptain 
Assigned ToZalewa 
PriorityhighSeverityblockReproducibilityalways
StatusresolvedResolutionno change required 
PlatformOSOS Version
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003309: FixedFtpReply and FixedNetworkAccessManager have missing license files
DescriptionThe following files refer to a file named "LICENSE.LGPL":


  • src/wadseeker/protocols/fixedftpreply.h

  • src/wadseeker/protocols/fixedftpreply.cpp

  • src/wadseeker/protocols/fixednetworkaccessmanager.h

  • src/wadseeker/protocols/fixednetworkaccessmanager.cpp



This file doesn't exist by that name. LGPL_EXCEPTION.txt is also missing.
Additional InformationAdding a pointer to COPYING.LESSER in the Doomseeker distribution seems to be the right thing to do, to point to the right file. Adding the LGPL exception text to source distribution root would be also good if distribution permits.

(Note: Those four files are LGPLv2.1-only without "any later version" clause.)
Attached Files

- Relationships
related to 0003295acknowledged Rename LICENSE files to COPYING 
related to 0003322closedZalewa Clarify copyright status of distributed LGPL binaries (Nokia's LGPLv2.1-only code) 
child of 0003237resolvedWubTheCaptain Non-free files and copyright issues in source archive 

-  Notes
User avatar (0018609)
WubTheCaptain (developer)
2017-10-22 22:30

I suppose this is the LGPL_EXCEPTION.txt file from Qt4:

https://code.qt.io/cgit/qt/qt.git/tree/LGPL_EXCEPTION.txt [^]

Can anyone confirm?
User avatar (0018621)
Blzut3 (administrator)
2017-10-24 00:42

That should be it.
User avatar (0018661)
WubTheCaptain (developer)
2017-10-29 19:25

Unassigning myself, because of busy life. Please, feel free to assign and work on this. 0003295 would be good resolve first.
User avatar (0018708)
Zalewa (developer)
2017-11-01 12:30

Problem solved:https://bitbucket.org/Doomseeker/doomseeker/commits/3ba35a884c8f33a30583f20352d54d72cedf9559 [^]
User avatar (0018710)
WubTheCaptain (developer)
2017-11-01 12:42
edited on: 2017-11-01 12:44

No change required for 1.2, but also resolved in 1.2.

Thank you, Zalewa.


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-10-22 22:09 WubTheCaptain New Issue
2017-10-22 22:09 WubTheCaptain Status new => assigned
2017-10-22 22:09 WubTheCaptain Assigned To => WubTheCaptain
2017-10-22 22:10 WubTheCaptain Relationship added related to 0003295
2017-10-22 22:10 WubTheCaptain Relationship added child of 0003237
2017-10-22 22:30 WubTheCaptain Note Added: 0018609
2017-10-22 23:43 WubTheCaptain Status assigned => feedback
2017-10-24 00:42 Blzut3 Note Added: 0018621
2017-10-25 00:24 WubTheCaptain Status feedback => assigned
2017-10-25 00:28 WubTheCaptain Severity text => block
2017-10-29 19:25 WubTheCaptain Note Added: 0018661
2017-10-29 19:25 WubTheCaptain Assigned To WubTheCaptain =>
2017-10-29 19:25 WubTheCaptain Status assigned => confirmed
2017-10-30 06:18 WubTheCaptain Relationship added related to 0003322
2017-10-30 06:18 WubTheCaptain Relationship deleted related to 0003322
2017-10-30 06:30 WubTheCaptain Relationship added related to 0003322
2017-11-01 12:30 Zalewa Assigned To => Zalewa
2017-11-01 12:30 Zalewa Status confirmed => assigned
2017-11-01 12:30 Zalewa Note Added: 0018708
2017-11-01 12:30 Zalewa Status assigned => needs review
2017-11-01 12:42 WubTheCaptain Note Added: 0018710
2017-11-01 12:42 WubTheCaptain Status needs review => resolved
2017-11-01 12:42 WubTheCaptain Fixed in Version => 1.2
2017-11-01 12:42 WubTheCaptain Resolution open => no change required
2017-11-01 12:43 WubTheCaptain Note Edited: 0018710 View Revisions
2017-11-01 12:44 WubTheCaptain Note Edited: 0018710 View Revisions






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker